<form [formGroup]="createTodoForm" (ngSubmit)="handleCreate()">
    <div class="input-group mb-3">
        <input type="text" 
            class="form-control" 
            name="title"
            placeholder="Add a todo..." formControlName="title">
        <div class="input-group-append">
            <button 
                [disabled]="createTodoForm.invalid"
                class="btn btn-primary" 
                type="submit" 
                id="button-addon2">Button</button>
        </div>
    </div>

    <div *ngIf="title.invalid && (title.touched || title.dirty)">

        <p *ngIf="title.errors.required">
            Oops! This is a required field.
        </p>

        <p *ngIf="title.errors.minlength">
           You need at least 2 characters here.
        </p>

        <p *ngIf="title.errors.maxlength">
            Wow! That's a lot of text. Only 80 Characters please.
        </p>

    </div>

</form>